Package org.tmatesoft.svn.core.wc2

## Enum SvnFileKind

- java.lang.Object
- - java.lang.Enum<SvnFileKind>
  - - org.tmatesoft.svn.core.wc2.SvnFileKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SvnFileKind>`

      public enum SvnFileKind
      extends java.lang.Enum<SvnFileKind>

  Describe the kind of item. This can be:
  - FILE - file
  - DIRECTORY - directory
  - SYMLINK - symlink
  - UNKNOWN - not known kind
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIRECTORY` |
    `FILE` |
    `SYMLINK` |
    `UNKNOWN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SvnFileKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SvnFileKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final SvnFileKind FILE

    - #### DIRECTORY

          public static final SvnFileKind DIRECTORY

    - #### SYMLINK

          public static final SvnFileKind SYMLINK

    - #### UNKNOWN

          public static final SvnFileKind UNKNOWN

  - ### Method Detail

    - #### values

          public static SvnFileKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SvnFileKind c : SvnFileKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SvnFileKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null